Package weka.classifiers.functions

# Class BoundaryBasedClassifier

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.SingleClassifierEnhancer
weka.classifiers.functions.SingleClassifierEnhancerBoundary
weka.classifiers.functions.BoundaryBasedClassifier

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `weka.classifiers.Classifier`, `ClassifierWithBoundaries`, `weka.core.BatchPredictor`, `weka.core.CapabilitiesHandler`, `weka.core.CapabilitiesIgnorer`, `weka.core.CommandlineRunnable`, `weka.core.OptionHandler`, `weka.core.Randomizable`, `weka.core.RevisionHandler`

public class BoundaryBasedClassifier extends SingleClassifierEnhancerBoundary implements ClassifierWithBoundaries, weka.core.Randomizable
Allows to use boundary classifier as general Classifier object

Since:
  2.0.0
Version:
  2.1.3
Author:
  pawel trajdos
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoundaryBasedClassifier()`
  `BoundaryBasedClassifier(ClassifierWithBoundaries boundClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildClassifier(weka.core.Instances data)`
  `String`
  `calibratorTipText()`
  `double[]`
  `distributionForInstance(weka.core.Instance instance)`
  `DecisionBoundary`
  `getBoundary()`
  Returns decision boundaries of the classifier
  `weka.classifiers.Classifier`
  `getCalibrator()`
  `int`
  `getNumFolds()`
  `String[]`
  `getOptions()`
  `int`
  `getSeed()`
  `boolean`
  `getUseCalibrator()`
  `String`
  `globalInfo()`
  `Enumeration<weka.core.Option>`
  `listOptions()`
  `static void`
  `main(String[] args)`
  `String`
  `numFoldsTipText()`
  `String`
  `seedTipText()`
  `void`
  `setCalibrator(weka.classifiers.Classifier calibrator)`
  `void`
  `setNumFolds(int numFolds)`
  `void`
  `setOptions(String[] options)`
  `void`
  `setSeed(int seed)`
  `void`
  `setUseCalibrator(boolean useCalibrator)`
  `String`
  `useCalibratorTipText()`

  ### Methods inherited from class weka.classifiers.functions.SingleClassifierEnhancerBoundary

  `getCapabilities, setClassifier`

  ### Methods inherited from class weka.classifiers.SingleClassifierEnhancer

  `classifierTipText, getClassifier, postExecution, preExecution`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getRevision, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface weka.classifiers.Classifier

  `classifyInstance, getCapabilities`

- ## Constructor Details

  - ### BoundaryBasedClassifier

    public BoundaryBasedClassifier(ClassifierWithBoundaries boundClass)

  - ### BoundaryBasedClassifier

    public BoundaryBasedClassifier()

- ## Method Details

  - ### buildClassifier

    public void buildClassifier(weka.core.Instances data) throws Exception
    Specified by:
      `buildClassifier` in interface `weka.classifiers.Classifier`
    Throws:
      `Exception`

  - ### distributionForInstance

    public double[] distributionForInstance(weka.core.Instance instance) throws Exception
    Specified by:
      `distributionForInstance` in interface `weka.classifiers.Classifier`
    Overrides:
      `distributionForInstance` in class `weka.classifiers.AbstractClassifier`
    Throws:
      `Exception`

  - ### getBoundary

    public DecisionBoundary getBoundary() throws Exception
    Description copied from interface: `ClassifierWithBoundaries`
    Returns decision boundaries of the classifier
    Specified by:
      `getBoundary` in interface `ClassifierWithBoundaries`
    Returns:
      Decision boundaries
    Throws:
      `Exception`

  - ### getCalibrator

    public weka.classifiers.Classifier getCalibrator()
    Returns:
      the calibrator

  - ### setCalibrator

    public void setCalibrator(weka.classifiers.Classifier calibrator)
    Parameters:
      `calibrator` - the calibrator to set

  - ### calibratorTipText

    public String calibratorTipText()

  - ### getNumFolds

    public int getNumFolds()
    Returns:
      the numFolds

  - ### setNumFolds

    public void setNumFolds(int numFolds)
    Parameters:
      `numFolds` - the numFolds to set

  - ### numFoldsTipText

    public String numFoldsTipText()

  - ### setSeed

    public void setSeed(int seed)
    Specified by:
      `setSeed` in interface `weka.core.Randomizable`

  - ### seedTipText

    public String seedTipText()

  - ### getSeed

    public int getSeed()
    Specified by:
      `getSeed` in interface `weka.core.Randomizable`

  - ### getUseCalibrator

    public boolean getUseCalibrator()
    Returns:
      the useCalibrator

  - ### setUseCalibrator

    public void setUseCalibrator(boolean useCalibrator)
    Parameters:
      `useCalibrator` - the useCalibrator to set

  - ### useCalibratorTipText

    public String useCalibratorTipText()

  - ### globalInfo

    public String globalInfo()

  - ### listOptions

    public Enumeration<weka.core.Option> listOptions()
    Specified by:
      `listOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `listOptions` in class `weka.classifiers.SingleClassifierEnhancer`

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Specified by:
      `setOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `setOptions` in class `weka.classifiers.SingleClassifierEnhancer`
    Throws:
      `Exception`

  - ### getOptions

    public String[] getOptions()
    Specified by:
      `getOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `getOptions` in class `weka.classifiers.SingleClassifierEnhancer`

  - ### main

    public static void main(String[] args)